{"swagger":"2.0","info":{"description":"5Force is an independent technology-driven development partner Our vision is to deliver valuable and viable technology with no strings attached Easy to use, powerful beyond the limit of time. 5Force translates traditional values into the art of technology and challenges visions to deliver more value.We develop and leverage technology to empower business to be faster, better and more creative Every single day.","version":"1.2.0","title":"5FORCE"},"host":"61at0xjh4f.execute-api.eu-central-1.amazonaws.com","basePath":"/development","tags":[{"name":"faq","description":"It provides the FAQs to the user based on categories."},{"name":"assessment","description":"The assessment is basically designed for online testing of technical knowledge of candidates."},{"name":"response","description":"This is to view responses of the user."},{"name":"template","description":"template Description of different-different domain."},{"name":"job","description":"This is the job portal of 5force"}],"schemes":["https"],"paths":{"/faq":{"get":{"tags":["faq"],"summary":"Search for FAQs based on their language & category.","description":"To get the FAQs, we must enter 'faqLanguage' and 'faqCategory'. 'LastEvaluatedKey' should be entered from 2nd page onwards which we will get from consecutive pages.","operationId":"fetchFaq","produces":["application/json","application/xml"],"parameters":[{"name":"faqLanguage","in":"query","description":"This parameter is required for selection of FAQ language ie English(en), Hindi(hi) or German(de).","required":true,"type":"string"},{"name":"faqCategory","in":"query","description":"This parameter is required to fetch FAQs along with their language. It specifies, which category do the FAQ belong to. like SEO, Quality-Analyst etc.","type":"string"},{"name":"limit","in":"query","description":"limit for searching faq ","required":false,"type":"string"},{"name":"lastevaluatedkeyLangCateg","in":"query","description":"Required for pagination purpose only.","required":false,"type":"string"},{"name":"lastevaluatedkeyFaqId","in":"query","description":"Required for pagination purpose only.","required":false,"type":"string"}],"responses":{"200":{"description":"Search successful.","schema":{"type":"array","items":{"$ref":"#/definitions/getFaq"}}},"400":{"description":"Invalid Input, Search Unsuccessful."}}},"post":{"tags":["faq"],"summary":"Add a new FAQ.","description":"This method is used to insert new FAQs in the database. Proper format should be followed as given in the model.","operationId":"insertFaq","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"Properties mentioned here are required for adding new FAQs. All data should be entered carefully. The insertion will be made, based on the category & language of FAQs.","required":true,"schema":{"$ref":"#/definitions/addFaq"}}],"responses":{"200":{"description":"Addition successful."},"400":{"description":"Invalid Input, Addition unsuccessful."}},"security":[{"Authorization":[]}]},"put":{"tags":["faq"],"summary":"Update incorrect FAQs and their answers.","description":"This method is used to update incorrect FAQ and their answers. This method should be used whenever question or answer need to be updated.","operationId":"updateFaq","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"Properties mentioned here are required for updating questions and answers of FAQs. All data should be entered carefully. The update will be made, based on category, ID & language of FAQs. This operation should be run whenever question or answer needs to be updated.","required":true,"schema":{"$ref":"#/definitions/updateFaq"}}],"responses":{"200":{"description":"Updation Successful."},"400":{"description":"Invalid Input, Updation Unsuccessful."}},"security":[{"Authorization":[]}]},"delete":{"tags":["faq"],"summary":"Deletes the FAQ.","operationId":"removeFaq","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"All properties mentioned here are required for deletion of FAQ.","required":true,"schema":{"$ref":"#/definitions/deleteFaq"}}],"responses":{"200":{"description":"Deletion of record successful."},"400":{"description":"Invalid Input, Deletion unsuccessful."}},"security":[{"Authorization":[]}]}},"/assessment":{"get":{"tags":["assessment"],"summary":"Search and assign questions to the user. Admin should enter language,userName,jobType and category to assign questions. The operation should be run once for each category so that 4 questions are General and 4 are Technical. Admin requires language,category & type to fetch questions for viewing.","operationId":"fetchQuestion","produces":["application/json","application/xml"],"parameters":[{"name":"questionLanguage","in":"query","description":"This parameter is required for selection of question language ie English(en), Hindi(hi) or German(de).","required":true,"type":"string"},{"name":"questionCategory","in":"query","description":"This parameter is required to fetch questions along with their language. It specifies the category of questions like \"fixed\" for General questions; \"nodejs\" for nodejs technical questions. It is a required parameter for admin to assign questions.","required":true,"type":"string"},{"name":"userName","in":"query","description":"This parameter should be entered by the admin to assign questions to the user along with jobType, questionLanguage & category.","required":false,"type":"string"},{"name":"questionType","in":"query","description":"This parameter is required by admin to fetch questions along with language & category. It specifies the type of questions ie General or Technical. This parameter is not required for assigning questions.","required":false,"type":"array","items":{"type":"string","enum":["General","Technical"]},"collectionFormat":"multi"},{"name":"jobType","in":"query","description":"This parameter is used to filter the questions. It specifies the type of job, ie nodejs-developer or SEO. Also this filter is used to assign the questions having category like fixed, nodejs, html etc.","required":false,"type":"string"},{"name":"questionComplexity","in":"query","description":"This parameter is used to filter the questions. It specifies the complexity of questions ie low, medium, high, very-high.","required":false,"type":"array","items":{"type":"string","enum":["low","medium","high","very-high"]},"collectionFormat":"multi"},{"name":"experienceRange","in":"query","description":"This parameter is used to filter the questions. It specifies the total experience of the candidate.","required":false,"type":"string"},{"name":"limit","in":"query","description":"limit for searching questions","required":false,"type":"string"},{"name":"lastevaluatedkeyQuesLang","in":"query","description":"Required for pagination purpose only.","required":false,"type":"string"},{"name":"lastevaluatedkeyCategId","in":"query","description":"Required for pagination purpose only.","required":false,"type":"string"}],"responses":{"200":{"description":"Search successful.","schema":{"type":"array","items":{"$ref":"#/definitions/getQues"}}},"400":{"description":"Invalid Input, Search Unsuccessful."}},"security":[{"Authorization":[]}]},"post":{"tags":["assessment"],"summary":"Add a new assessment question.","description":"This method is used to insert new assessment questions in the database. Proper format should be followed as given in the model.","operationId":"insertQuestion","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"Properties mentioned here are required for adding new questions. All data should be entered carefully. The insertion will be made, based on the category, type & language of questions. ","required":true,"schema":{"$ref":"#/definitions/addQues"}}],"responses":{"200":{"description":"Addition successful."},"400":{"description":"Invalid Input, Addition unsuccessful."}},"security":[{"Authorization":[]}]},"put":{"tags":["assessment"],"summary":"Update incorrect questions, description, experience, complexity and jobType.","description":"This method is used to update incorrect questions, description, experience, complexity and jobType. This method should be used whenever something needs to be updated.","operationId":"updateQuestion","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"Properties mentioned here are required for updating incorrect questions, description, experience, complexity and jobType. All data should be entered carefully. The update will be made, based on category, Id, type & language of questions. This operation should be run whenever something needs to be updated.","required":true,"schema":{"$ref":"#/definitions/updateQues"}}],"responses":{"200":{"description":"Updation Successful."},"400":{"description":"Invalid Input, Updation Unsuccessful."}},"security":[{"Authorization":[]}]},"delete":{"tags":["assessment"],"summary":"Deletes the questions.","operationId":"removeQuestion","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"All properties mentioned here are required for deletion of assessment questions.","required":true,"schema":{"$ref":"#/definitions/deleteQues"}}],"responses":{"200":{"description":"Deletion of record successful."},"400":{"description":"Invalid Input, Deletion unsuccessful."}},"security":[{"Authorization":[]}]}},"/response":{"get":{"tags":["response"],"summary":"Admin can get details of assigned question to the candidate. Whereas user can also view the assigned questions and respond accordingly.","description":"Admin can get the questions assigned to a user by entering the userName of candidate ie the emailId. The userName should not be entered by the user.","operationId":"fetchResponse","produces":["application/json","application/xml"],"parameters":[{"name":"userName","in":"query","description":"This parameter should be entered by the admin only to view user responses.","required":false,"type":"string"},{"name":"jobType","in":"query","description":"This parameter is used to filter the questions based on the applied job.","required":false,"type":"string"},{"name":"limit","in":"query","description":"limit for searching questions","required":false,"type":"string"},{"name":"lastevaluatedkeyuserName","in":"query","description":"Required for pagination purpose only.","required":false,"type":"string"},{"name":"lastevaluatedkeyCategId","in":"query","description":"Required for pagination purpose only.","required":false,"type":"string"}],"responses":{"200":{"description":"Search successful.","schema":{"type":"array","items":{"$ref":"#/definitions/getResponse"}}},"400":{"description":"Invalid Input, Search Unsuccessful."}},"security":[{"Authorization":[]}]},"post":{"tags":["response"],"summary":"Addition of a new response by the user.","description":"This method is for the user to respond to the assigned questions.","operationId":"addResponse","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"Properties mentioned here are required for adding new responses of user to the assigned questions. userName and category_Id will be matched and response will be saved accordingly.","required":true,"schema":{"$ref":"#/definitions/addResponse"}}],"responses":{"200":{"description":"Addition successful."},"400":{"description":"Invalid Input, Addition unsuccessful."}},"security":[{"Authorization":[]}]},"put":{"tags":["response"],"summary":"Updation of assigned questions by the admin.","description":"This method is for the admin to update the assigned questions.","operationId":"updateQuestions","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"Properties mentioned here are required for updating the questions assigned to the user. userName and category_Id will be matched and updation will be done accordingly.","required":true,"schema":{"$ref":"#/definitions/updateQuestions"}}],"responses":{"200":{"description":"Updation successful."},"400":{"description":"Invalid Input, updation unsuccessful."}},"security":[{"Authorization":[]}]},"delete":{"tags":["response"],"summary":"Deletion of assigned questions to the user by the admin.","description":"This method is for the admin to delete the questions assigned to the user.","operationId":"deleteQuestions","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"Properties mentioned here are required for deleting the questions assigned to the user. userName and category_Id will be matched and question will be deleted accordingly.","required":true,"schema":{"$ref":"#/definitions/deleteQuestion"}}],"responses":{"200":{"description":"Deletion successful."},"400":{"description":"Invalid Input, Deletion unsuccessful."}},"security":[{"Authorization":[]}]},"patch":{"tags":["response"],"summary":"To submit the online assessment test.","description":"This method will be used when the user will finally submit the test. After that he can't update his responses.","operationId":"freezeTest","produces":["application/json"],"parameters":[{"in":"body","name":"Required fields","description":"Properties mentioned here are required to freeze the online assessment test. Value of 'finalSubmit' must be true when user finally submit the test.","required":true,"schema":{"$ref":"#/definitions/submitTest"}}],"responses":{"200":{"description":"Submission successful."},"400":{"description":"Submission unsuccessful."}},"security":[{"Authorization":[]}]}},"/template":{"get":{"tags":["template"],"summary":"Here user can find job by giving attributes of template, according to his need.","description":"It will provide all properties and list of template.","operationId":"findTemplates","consumes":["application/json","application/xml"],"produces":["application/xml","application/json"],"parameters":[{"name":"ActiveLang","in":"query","description":" ActiveLang of the template and should be required","required":true,"type":"string","default":"true_en","enum":["true_en","true_us"]},{"name":"Language","in":"query","description":"Language format of templates","required":false,"type":"string","default":"en","enum":["en","us"]},{"name":"Domain","in":"query","description":" Domain ","required":false,"type":"string","default":"technology","enum":["business","technology","creativity"]},{"name":"Keywords","in":"query","description":" search Keywords of the template","required":false,"type":"string"},{"name":"TemplateName","in":"query","description":" TemplateName","required":false,"type":"string"},{"name":"JobTitle","in":"query","description":" JobTitle of the job and should be in camelcase","required":false,"type":"string"},{"name":"ExperienceSort","in":"query","description":" sorting the template a/c to year of experience ","required":false,"type":"string","default":"true","enum":["true","false"]},{"name":"Limit","in":"query","description":" Limit for searching templates","required":false,"type":"string"},{"name":"lastEvaluatedKeyActiveLang","in":"query","description":"lastEvaluatedKeyActiveLang for Pagination","required":false,"type":"string"},{"name":"lastEvaluatedKeyId","in":"query","description":"lastEvaluatedKeyId for Pagination","required":false,"type":"string"},{"name":"lastEvaluatedKeyYearOfExperience","in":"query","description":"lastEvaluatedKeyYearOfExperience for Pagination","required":false,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/template_get"}}},"400":{"description":"Invalid status value"}},"security":[{"Authorization":[]}]},"post":{"tags":["template"],"summary":"Add new information of the template with their all properties.Here all properties of template is required.","operationId":"insertData","consumes":["application/json","application/xml"],"produces":["application/xml","application/json"],"parameters":[{"in":"body","name":"New_template_Entry","description":"All Fields are required according to their format.","required":true,"schema":{"$ref":"#/definitions/template_post"}}],"responses":{"200":{"description":"Addition of New template is successful"},"400":{"description":"Invalid Input"},"404":{"description":"Addition of template is unsuccessful"}},"security":[{"Authorization":[]}]},"put":{"tags":["template"],"summary":"Update properties of an existing template, where ActiveLang,Id and Language of template should be exists in table.","operationId":"updateData","consumes":["application/json","application/xml"],"produces":["application/xml","application/json"],"parameters":[{"in":"body","name":"updation","description":"Id and Language are required and cannt changed.Rest fields can be updated","required":true,"schema":{"$ref":"#/definitions/template_update"}}],"responses":{"200":{"description":"Updation Successful"},"400":{"description":"Invalid Input"},"404":{"description":"Updation Unsuccessful"}},"security":[{"Authorization":[]}]},"delete":{"tags":["template"],"summary":"Deletes the record of template from the list,where ActiveLang and Id should be exists in the table.","operationId":"removeTemplate","produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"deletion","description":"all fields are required","required":true,"schema":{"$ref":"#/definitions/template_delete"}}],"responses":{"200":{"description":"Deletion of record successful"},"400":{"description":"Invalid Input"},"404":{"description":"Deletion unsuccessful"}},"security":[{"Authorization":[]}]}},"/job":{"get":{"tags":["job"],"summary":"Here user can find job by giving attributes of job, according to his need.","description":"It will provide all properties and list of job.","operationId":"findJobs","consumes":["application/json","application/xml"],"produces":["application/xml","application/json"],"parameters":[{"name":"ActiveLang","in":"query","description":" ActiveLang of the job and should be required","required":true,"type":"string","default":"true_en","enum":["true_en","true_us"]},{"name":"Language","in":"query","description":"Language format of jobs","required":false,"type":"string","default":"en","enum":["en","us"]},{"name":"Location","in":"query","description":"Location of job","required":false,"type":"string","default":"noida","enum":["noida","mumbai","frankfurt"]},{"name":"Domain","in":"query","description":" Domain ","required":false,"type":"string","enum":["business","technology","creativity"]},{"name":"Keywords","in":"query","description":" search Keywords of the job","required":false,"type":"string"},{"name":"JobTitle","in":"query","description":" JobTitle of the job and should be in camelcase","required":false,"type":"string"},{"name":"SalarySort","in":"query","description":" sorting the template a/c to Salary ","required":false,"type":"string","default":"true","enum":["true","false"]},{"name":"Limit","in":"query","description":" Limit of searching jobs ","required":false,"type":"string"},{"name":"lastEvaluatedKeyActiveLang","in":"query","description":"lastEvaluatedKeyActiveLang for Pagination","required":false,"type":"string"},{"name":"lastEvaluatedKeyId","in":"query","description":"lastEvaluatedKeyId for Pagination","required":false,"type":"string"},{"name":"lastEvaluatedKeySalary","in":"query","description":"lastEvaluatedKeySalary for Pagination","required":false,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/job_get"}}},"400":{"description":"Invalid status value"}}},"post":{"tags":["job"],"summary":"Add new information of the job with their all properties.Here language and Salary are required.","operationId":"insertJob","consumes":["application/json","application/xml"],"produces":["application/xml","application/json"],"parameters":[{"name":"ActiveLang","in":"query","description":"ActiveLang of that particular template","required":true,"type":"string"},{"name":"Id","in":"query","required":true,"type":"string"},{"in":"body","name":"New_job_Entry","description":"Language and Salary are required according to their format.","required":true,"schema":{"$ref":"#/definitions/job_post"}}],"responses":{"200":{"description":"Addition of New job is successful","schema":{"type":"array","items":{"$ref":"#/definitions/job_get_post"}}},"400":{"description":"Invalid Input"},"404":{"description":"Addition of job is unsuccessful"}},"security":[{"Authorization":[]}]},"put":{"tags":["job"],"summary":"Update properties of an existing job, where Id and Language of job should be exists in table and are required.","operationId":"updateJob","consumes":["application/json","application/xml"],"produces":["application/xml","application/json"],"parameters":[{"in":"body","name":"updation","description":"Id and Language are required and cannt changed.Rest fields can be updated","required":true,"schema":{"$ref":"#/definitions/job_update"}}],"responses":{"200":{"description":"Updation Successful"},"400":{"description":"Invalid Input"},"404":{"description":"Updation Unsuccessful"}},"security":[{"Authorization":[]}]},"delete":{"tags":["job"],"summary":"Deletes the record of job from the list,where Language and Id should be exists in the table.","operationId":"removeJob","produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"deletion","description":"all fields are required","required":true,"schema":{"$ref":"#/definitions/job_delete"}}],"responses":{"200":{"description":"Deletion of record successful"},"400":{"description":"Invalid Input"},"404":{"description":"Deletion unsuccessful"}},"security":[{"Authorization":[]}]}},"/cognitoauth":{"get":{"tags":["login"],"summary":"refresh token","description":"If token expire users can refresh using this\n","operationId":"refresh","produces":["application/json"],"parameters":[{"name":"userpool","in":"query","description":"userpool","required":true,"type":"string"},{"name":"RefreshToken","in":"query","description":"refreshtoken","required":true,"type":"string"},{"name":"clientId","in":"query","description":"clientId","required":true,"type":"string"}],"responses":{"200":{"description":"search results matching criteria","schema":{"$ref":"#/definitions/loginresult"}},"400":{"description":"what went wrong","schema":{"type":"object","properties":{"err":{"type":"string","example":"some error occured"}}}}}},"post":{"tags":["login"],"summary":"login","description":"user can login and get token after successfully\n","operationId":"login","produces":["application/json"],"parameters":[{"in":"body","name":"body","required":false,"schema":{"$ref":"#/definitions/login"}}],"responses":{"200":{"description":"search results matching criteria","schema":{"$ref":"#/definitions/loginresult"}},"400":{"description":"what went wrong","schema":{"type":"object","properties":{"err":{"type":"string","example":"some error occured"}}}}}},"put":{"tags":["login"],"summary":"singup","description":"New User OR invited user can signup here. THis will make u inactive unless approve via superadmin\n","operationId":"signup","produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"pass an optional search string for looking up inventory","required":false,"schema":{"$ref":"#/definitions/signup"}}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/signupresult"}}},"400":{"description":"what went wrong","schema":{"type":"object","properties":{"err":{"type":"string","example":"some error occured"}}}}}},"delete":{"tags":["login"],"summary":"forgot password","description":"If user forgot the password. he can apply to put another password using this\n","operationId":"delete","produces":["application/json"],"parameters":[{"in":"body","name":"body","required":false,"schema":{"$ref":"#/definitions/forgotconfirm"}}],"responses":{"200":{"description":"search results matching criteria","schema":{"$ref":"#/definitions/loginresult"}},"400":{"description":"what went wrong","schema":{"type":"object","properties":{"err":{"type":"string","example":"some error occured"}}}}}},"patch":{"tags":["login"],"summary":"allow user to change their password","description":"user can change their passowrd\n","operationId":"changepassword","produces":["application/json"],"parameters":[{"in":"body","name":"body","required":false,"schema":{"$ref":"#/definitions/changepassword"}}],"responses":{"200":{"description":"search results matching criteria","schema":{"$ref":"#/definitions/loginresult"}},"400":{"description":"what went wrong","schema":{"type":"object","properties":{"err":{"type":"string","example":"some error occured"}}}}}}}},"securityDefinitions":{"Authorization":{"type":"apiKey","name":"Authorization","in":"header"}},"definitions":{"getFaq":{"type":"object","required":["faqLanguage"],"properties":{"faqLanguage":{"type":"string","example":"en","description":"This parameter is required for selection of FAQ language ie English(en), Hindi(hi) or German(de).","minLength":2,"maxLength":2},"faqCategory":{"type":"string","example":"SEO","description":"This parameter is required to fetch FAQs along with their language. It specifies, which category do the FAQ belong to. like SEO, Quality-Analyst etc.","minLength":3,"maxLength":50},"limit":{"type":"string"},"lastevaluatedkeyLangCateg":{"type":"string","example":"en_SEO","description":"Required for pagination purpose only."},"lastevaluatedkeyFaqId":{"type":"string","example":"s65yf7cbp9","description":"Required for pagination purpose only."}}},"addFaq":{"type":"object","required":["answer","faqCategory","faqLanguage","question"],"properties":{"faqLanguage":{"type":"string","example":"en","description":"This parameter is required for selection of FAQ language ie English(en), Hindi(hi) or German(de).","minLength":2,"maxLength":2},"faqCategory":{"type":"string","example":"SEO","description":"This parameter is required to insert FAQs along with language. It specifies, which category do the FAQ belong to. like SEO, Quality-Analyst etc.","minLength":3,"maxLength":50},"question":{"type":"string","example":"Where do I see my reports?","description":"This parameter is required as it is the question of FAQ.","minLength":10,"maxLength":250},"answer":{"type":"string","example":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer malesuada egestas leo, a accumsan sem aliquet non. Ut vel rhoncus magna.","description":"This parameter is required as it is the answer of FAQ.","minLength":10,"maxLength":1000}}},"updateFaq":{"type":"object","required":["faqCategory","faqLanguage","faqId"],"properties":{"faqLanguage":{"type":"string","example":"en","description":"This parameter is required for selection of FAQ language ie English(en), Hindi(hi) or German(de).","minLength":2,"maxLength":2},"faqCategory":{"type":"string","example":"SEO","description":"This parameter is required to update FAQs. It specifies, which category do the FAQ belong to. like SEO, Quality-Analyst etc.","minLength":3,"maxLength":50},"faqId":{"type":"string","example":"s65yf7cbp9","description":"This parameter is required as it represents Id of FAQ and to update the FAQs.","minLength":3,"maxLength":50},"question":{"type":"string","example":"Where do I see my reports?","description":"This parameter is required as it is the question of FAQ.","minLength":10,"maxLength":250},"answer":{"type":"string","example":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer malesuada egestas leo, a accumsan sem aliquet non. Ut vel rhoncus magna.","description":"This parameter is required as it is the answer of FAQ.","minLength":10,"maxLength":1000}}},"deleteFaq":{"type":"object","required":["faqCategory","faqLanguage","faqId"],"properties":{"faqLanguage":{"type":"string","example":"en","description":"This parameter is required for selection of FAQ language ie English(en), Hindi(hi) or German(de).","minLength":2,"maxLength":2},"faqCategory":{"type":"string","example":"SEO","description":"This parameter is required to delete FAQs. It specifies, which category do the FAQ belong to. like SEO, Quality-Analyst etc.","minLength":3,"maxLength":50},"faqId":{"type":"string","example":"s65yf7cbp9","description":"This parameter is required as it represents Id of FAQ and to delete the FAQs.","minLength":3,"maxLength":50}}},"getQues":{"type":"object","properties":{"questionLanguage":{"type":"string","example":"en","description":"This parameter is required for selection of question language ie English(en), Hindi(hi) or German(de).","minLength":2,"maxLength":2},"questionCategory":{"type":"string","example":"fixed","description":"This parameter is required to fetch questions along with their language. It specifies the category of questions like \"fixed\" for General questions; \"nodejs\" for nodejs technical questions. It is a required parameter for admin to assign questions.","minLength":3,"maxLength":50},"userName":{"type":"string","example":"kunal@code5.org","description":"This parameter should be entered by the admin only to see the questions assigned to the user.","minLength":10,"maxLength":30},"questionType":{"type":"string","description":"This parameter is required to fetch questions along with their language & category. It specifies the type of questions ie General or Technical.","enum":["General","Technical"]},"jobType":{"type":"string","example":"Nodejs-developer","description":"This parameter is used to filter the questions. It specifies the type of job, ie nodejs-developer or SEO. It is also used to assign questions to user.","minLength":2,"maxLength":50},"questionComplexity":{"type":"string","description":"This parameter is used to filter the questions. It specifies the complexity of questions ie low, medium, high, very-high.","enum":["low","medium","high","very-high"]},"experienceRange":{"type":"string","example":"0-1","description":"This parameter is used to filter the questions. It specifies the total experience of the candidate.","minLength":1,"maxLength":5},"limit":{"type":"string","example":"10"},"lastevaluatedkeyQuesLang":{"type":"string","example":"en","description":"Required for pagination purpose only."},"lastevaluatedkeyCategId":{"type":"string","example":"nodejs_itjvns5gnb","description":"Required for pagination purpose only."}}},"addQues":{"type":"object","required":["questionCategory","questionLanguage","questionTitle","questionType"],"properties":{"questionLanguage":{"type":"string","example":"en","description":"This parameter is required for selection of question language ie English(en), Hindi(hi) or German(de).","minLength":2,"maxLength":2},"questionCategory":{"type":"string","example":"fixed","description":"This parameter is required to insert questions along with their language. It specifies, which category do the questions belong to.","minLength":3,"maxLength":50},"questionType":{"type":"string","description":"This parameter is required to insert questions along with their language & category. It specifies the type of questions ie General or Technical.","enum":["General","Technical"]},"jobType":{"type":"string","example":"Nodejs-developer","description":"This parameter specifies the type of job.","minLength":2,"maxLength":50},"questionTitle":{"type":"string","example":"Lorem ipsum dolor sit amet?","description":"This parameter is required as it is the questionTitle for assessment.","minLength":10,"maxLength":250},"questionDescription":{"type":"array","description":"This parameter is required as it is the questionDescription for assessment.","items":{"type":"string","example":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer malesuada egestas leo, a accumsan sem aliquet non. Ut vel rhoncus magna."}},"questionComplexity":{"type":"string","description":"This parameter specifies the complexity of technical questions.","enum":["low","medium","high","very-high"]},"experienceRange":{"type":"string","example":"0-1","description":"This parameter specifies the range of experience of the candidate.","minLength":1,"maxLength":5}}},"updateQues":{"type":"object","required":["category_Id","questionCategory","questionLanguage","questionType"],"properties":{"questionLanguage":{"type":"string","example":"en","description":"This parameter is required for selection of question language ie English(en), Hindi(hi) or German(de).","minLength":2,"maxLength":2},"questionCategory":{"type":"string","example":"nodejs","description":"This parameter is required to update questions along with their language. It specifies, which category do the questions belong to.","minLength":3,"maxLength":50},"questionType":{"type":"string","description":"This parameter is required to update questions along with their language & category. It specifies the type of questions ie General or Technical.","enum":["General","Technical"]},"category_Id":{"type":"string","example":"nodejs_hudsh9dsbh09","description":"This parameter is required as it specify the assessment questionId to update questions. It is the combination of questionCategory & Id.","minLength":3,"maxLength":50},"questionTitle":{"type":"string","example":"Lorem ipsum dolor sit amet?","description":"This parameter is required as it is the questionTitle for assessment.","minLength":10,"maxLength":250},"questionDescription":{"type":"array","description":"This parameter is required as it is the questionDescription for assessment.","items":{"type":"string","example":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer malesuada egestas leo, a accumsan sem aliquet non. Ut vel rhoncus magna."}},"questionComplexity":{"type":"string","description":"This parameter specifies the complexity of technical questions.","enum":["low","medium","high","very-high"]},"jobType":{"type":"string","example":"Nodejs-developer","description":"This parameter specifies the type of job.","minLength":2,"maxLength":50},"experienceRange":{"type":"string","example":"0-1","description":"This parameter specifies the range of experience of the candidate.","minLength":1,"maxLength":5}}},"deleteQues":{"type":"object","required":["category_Id","questionCategory","questionLanguage","questionType"],"properties":{"questionLanguage":{"type":"string","example":"en","description":"This parameter is required for selection of question language ie English(en), Hindi(hi) or German(de).","minLength":2,"maxLength":2},"questionCategory":{"type":"string","example":"nodejs","description":"This parameter is required to delete questions along with their language. It specifies, which category do the questions belong to.","minLength":3,"maxLength":50},"questionType":{"type":"string","description":"This parameter is required to delete questions along with their language & category. It specifies the type of questions ie General or Technical.","enum":["General","Technical"]},"category_Id":{"type":"string","example":"nodejs_hudsh9dsbh09","description":"This parameter is required as it specify the assessment questionId to delete questions. It is the combination of questionCategory & Id.","minLength":3,"maxLength":50}}},"getResponse":{"type":"object","properties":{"userName":{"type":"string","example":"kunal@code5.org","description":"This parameter should be entered by the admin only to see the questions assigned to the user.","maxLength":30},"jobType":{"type":"string","example":"Developer","description":"This parameter is used to filter questions based on job.","minLength":2,"maxLength":50},"limit":{"type":"string","example":"1"},"lastevaluatedkeyuserName":{"type":"string","example":"kunal@code5.org","description":"Required for pagination purpose only."},"lastevaluatedkeyCategId":{"type":"string","example":"nodejs_wq5i9rnmlc","description":"Required for pagination purpose only."}}},"addResponse":{"type":"object","required":["answer","category_Id"],"properties":{"category_Id":{"type":"string","example":"fixed_fbcpodkxgw","description":"This parameter specifies the question Id assigned to the user.","minLength":3,"maxLength":30},"answer":{"type":"string","example":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer malesuada egestas leo, a accumsan sem aliquet non. Ut vel rhoncus magna.","description":"This parameter is the response given by the user.","minLength":10,"maxLength":1000}}},"updateQuestions":{"type":"object","required":["category_Id","userName"],"properties":{"userName":{"type":"string","example":"kunal@code5.org","description":"This parameter specifies the userName ie emailId to update the incorrect questions.","minLength":10,"maxLength":30},"category_Id":{"type":"string","example":"fixed_fbcpodkxgw","description":"This parameter specifies the question Id assigned to the user.","minLength":3,"maxLength":30},"questionTitle":{"type":"string","example":"Lorem ipsum dolor sit amet?","description":"This parameter is required for updating the questionTitle.","minLength":10,"maxLength":250},"questionDescription":{"type":"array","description":"This parameter is required for updating the questionDescription.","items":{"type":"string","example":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer malesuada egestas leo, a accumsan sem aliquet non. Ut vel rhoncus magna."}}}},"deleteQuestion":{"type":"object","required":["category_Id","userName"],"properties":{"userName":{"type":"string","example":"kunal@code5.org","description":"This parameter specifies the userName ie emailId to delete the questions.","minLength":10,"maxLength":30},"category_Id":{"type":"string","example":"fixed_fbcpodkxgw","description":"This parameter specifies the question Id assigned to the user.","minLength":3,"maxLength":30}}},"submitTest":{"type":"object","required":["finalSubmit"],"properties":{"finalSubmit":{"type":"string","description":"This value will be true when the user finally submits the test else it will remain false.","enum":[true,false]}}},"template_get":{"type":"object","required":["ActiveLang"],"properties":{"ActiveLang":{"type":"string","default":"true_en","enum":["true_en","true_us"]},"Language":{"type":"string","default":"en","enum":["en","us"]},"Domain":{"type":"string","default":"technology","enum":["technology","business","creativity"]},"Keywords":{"type":"string","example":"technical"},"JobTitle":{"type":"string"},"ExperienceSort":{"type":"string","default":"true"},"Limit":{"type":"string"},"lastEvaluatedKeyActiveLang":{"type":"string","example":"true_en","description":"lastEvaluatedKeyActiveLang of template"},"lastEvaluatedKeyId":{"type":"string","example":"t01","description":"lastEvaluatedKeyId of template"},"lastEvaluatedKeyYearOfExperience":{"type":"number","example":5,"description":"lastEvaluatedKeyYearOfExperience of template"}}},"template_post":{"type":"object","required":["ShortSummary","JobDescription","Domain","TasksDetails","JobTitle","JobType","Keywords","Language","Requirements","Team","TemplateName","YearOfExperience"],"properties":{"Language":{"type":"string","example":"en"},"Team":{"type":"string","example":"5force"},"TemplateName":{"type":"string","example":"developer"},"JobDescription":{"type":"string"},"Domain":{"type":"string"},"JobTitle":{"type":"string","example":"seniorDeveloper"},"JobType":{"type":"string","default":"full time job","enum":["full time job","part time job"]},"TasksDetails":{"type":"array","items":{"type":"string"}},"YearOfExperience":{"type":"number","example":3},"Requirements":{"type":"array","items":{"$ref":"#/definitions/requirements"}},"Keywords":{"type":"string","example":"technical"},"ShortSummary":{"type":"string"}}},"template_update":{"type":"object","required":["Id","Language"],"properties":{"Id":{"type":"string","example":"s2fdfdedgd"},"Language":{"type":"string","example":"en"},"Team":{"type":"string","example":"5force"},"TemplateName":{"type":"string","example":"developer"},"JobDescription":{"type":"string"},"Domain":{"type":"string"},"JobTitle":{"type":"string","example":"seniorDeveloper"},"JobType":{"type":"string","default":"full time job","enum":["full time job","part time job"]},"TasksDetails":{"type":"array","items":{"type":"string"}},"YearOfExperience":{"type":"string","example":"3"},"Requirements":{"type":"array","items":{"$ref":"#/definitions/requirements"}},"Keywords":{"type":"string","example":"technical"},"ShortSummary":{"type":"string"},"Status":{"type":"string","default":"inactive","enum":["active","inactive"]}}},"template_delete":{"type":"object","required":["ActiveLang","Id"],"properties":{"ActiveLang":{"type":"string","example":"true_en"},"Id":{"type":"string","example":"s2fdfdedgd"}}},"requirements":{"type":"object","required":["title"],"properties":{"title":{"type":"string"},"checkStatus":{"type":"boolean"}}},"job_get":{"type":"object","required":["ActiveLang"],"properties":{"ActiveLang":{"type":"string","default":"true_en","enum":["true_en","true_us"]},"Language":{"type":"string","default":"en","enum":["en","us"]},"Location":{"type":"string","default":"noida","enum":["noida","mumbai","frankfurt"]},"Domain":{"type":"string","default":"technology","enum":["technology","business","creativity"]},"Keywords":{"type":"string","example":"technical"},"JobTitle":{"type":"string"},"SalarySort":{"type":"string","default":"true"},"Limit":{"type":"string"},"lastEvaluatedKeyActiveLang":{"type":"string","example":"true_en","description":"lastEvaluatedKeyActiveLang of job"},"lastEvaluatedKeyId":{"type":"string","example":"t01","description":"lastEvaluatedKeyId of job"},"lastEvaluatedKeySalary":{"type":"number","example":5,"description":"lastEvaluatedKeySalary of job"}}},"job_get_post":{"type":"object","required":["ActiveLang","Id"],"properties":{"ActiveLang":{"type":"string","default":"true_en","enum":["true_en","true_us"]},"Id":{"type":"string"}}},"job_post":{"type":"object","required":["Language","Location","Salary"],"properties":{"Language":{"type":"string","example":"en"},"Salary":{"type":"number","example":3},"Location":{"type":"array","items":{"type":"string","enum":["noida","mumbai","frankfurt"]}},"NumberOfOpenings":{"type":"number","example":2},"StartDate":{"type":"number"}}},"job_update":{"type":"object","required":["Id","Language"],"properties":{"Id":{"type":"string","example":"s2fdfdedgd"},"Language":{"type":"string","example":"en"},"Location":{"type":"array","items":{"type":"string","enum":["noida","mumbai","frankfurt"]}},"Team":{"type":"string","example":"5force"},"JobDescription":{"type":"string"},"Domain":{"type":"string"},"JobTitle":{"type":"string","example":"seniorDeveloper"},"JobType":{"type":"string","default":"full time job","enum":["full time job","part time job"]},"TasksDetails":{"type":"array","items":{"type":"string"}},"YearOfExperience":{"type":"number","example":3},"Requirements":{"type":"array","items":{"$ref":"#/definitions/requirements"}},"Keywords":{"type":"string","example":"technical"},"ShortSummary":{"type":"string"},"Status":{"type":"string","default":"active","enum":["active","inactive"]},"Salary":{"type":"number","example":20000},"NumberOfOpenings":{"type":"number","example":6},"StartDate":{"type":"number"}}},"job_delete":{"type":"object","required":["Id","Language"],"properties":{"Language":{"type":"string","example":"en"},"Id":{"type":"string","example":"s2fdfdedgd"}}},"loginresult":{"type":"object","properties":{"AuthenticationResult":{"$ref":"#/definitions/loginresult_AuthenticationResult"},"ChallengeParameters":{"type":"object","properties":{}}}},"login":{"type":"object","properties":{"clientId":{"type":"string","example":"50m8ikgadq32mcc6uf3f903bvs"},"userpool":{"type":"string","example":"eu-central-1_Yx8mPFKz4"},"username":{"type":"string"},"password":{"type":"string"}}},"changepassword":{"type":"object","properties":{"accesstoken":{"type":"string"},"oldPassword":{"type":"string"},"newpassword":{"type":"string"}}},"forgotconfirm":{"type":"object","properties":{"mode":{"type":"string","enum":["forgot","confirm","delete"]},"clientId":{"type":"string"},"username":{"type":"string"},"confirmationCode":{"type":"string"},"password":{"type":"string"},"UserContextData":{"type":"object","properties":{}},"userpool":{"type":"string"}}},"signup":{"type":"object","properties":{"clientId":{"type":"string","example":"50m8ikgadq32mcc6uf3f903bvs"},"username":{"type":"string"},"password":{"type":"string"},"userattributes":{"type":"array","items":{"$ref":"#/definitions/signup_userattributes"}}}},"signupresult":{"type":"object","properties":{"UserConfirmed":{"type":"boolean"},"CodeDeliveryDetails":{"$ref":"#/definitions/signupresult_CodeDeliveryDetails"}}},"inline_response_400":{"properties":{"err":{"type":"string","example":"some error occured"}}},"loginresult_AuthenticationResult":{"properties":{"AccessToken":{"type":"string"},"ExpiresIn":{"type":"number"},"IdToken":{"type":"string"},"RefreshToken":{"type":"string"},"TokenType":{"type":"string"}}},"signup_userattributes":{"properties":{"attributeName":{"type":"string","example":"email"},"attributeValue":{"type":"string"}}},"signupresult_CodeDeliveryDetails":{"properties":{"Destination":{"type":"string"},"DeliveryMedium":{"type":"string"},"AttributeName":{"type":"string"},"UserSub":{"type":"string"}}},"inline_response_400_1":{"properties":{"err":{"type":"string","example":"some error occured"}}},"inline_response_400_2":{"properties":{"err":{"type":"string","example":"some error occured"}}}}}